#include-once
#include "WinAPI.h.au3"



Dim $fSevenSegment [10][7] = [ [1, 1, 1, 0, 1, 1, 1], _ ;   // 0
							   [0, 0, 1, 0, 0, 1, 0], _ ;   // 1
							   [1, 0, 1, 1, 1, 0, 1], _ ;   // 2
							   [1, 0, 1, 1, 0, 1, 1], _ ;   // 3
							   [0, 1, 1, 1, 0, 1, 0], _ ;   // 4
							   [1, 1, 0, 1, 0, 1, 1], _ ;   // 5
							   [1, 1, 0, 1, 1, 1, 1], _ ;   // 6
							   [1, 0, 1, 0, 0, 1, 0], _ ;   // 7
							   [1, 1, 1, 1, 1, 1, 1], _ ;   // 8
							   [1, 1, 1, 1, 0, 1, 1] ]  ;   // 9
;							x,  y;  x,  y;  x,  y;  x,  y;  x,  y;  x,  y
Dim $aSegment [7][12] = [ [ 7,  6, 11,  2, 31,  2, 35,  6, 31, 10, 11, 10], _
						  [ 6,  7, 10, 11, 10, 31,  6, 35,  2, 31,  2, 11], _
						  [36,  7, 40, 11, 40, 31, 36, 35, 32, 31, 32, 11], _
						  [ 7, 36, 11, 32, 31, 32, 35, 36, 31, 40, 11, 40], _
						  [ 6, 37, 10, 41, 10, 61,  6, 65,  2, 61,  2, 41], _
						  [36, 37, 40, 41, 40, 61, 36, 65, 32, 61, 32, 41], _
						  [ 7, 66, 11, 62, 31, 62, 35, 66, 31, 70, 11, 70] ]

Dim $ptSegment [7]

For $i = 0 To 6
		$ptSegment [$i] = DllStructCreate ('int [12]')
	For $ii = 0 To 11
		DllStructSetData ($ptSegment [$i], 1, $aSegment [$i][$ii], $ii + 1)
	Next
Next

;/////////////////////////////////////////////////////////////
;//						DigClock Funktionen					//
;/////////////////////////////////////////////////////////////
Func DisplayDigit ($hdc, $iNumber)

	For $iSeg = 0 To 6
		If ($fSevenSegment [$iNumber][$iSeg]) Then
			Polygon ($hdc, DllStructGetPtr ($ptSegment [$iSeg]), 6) ;
		EndIf
	Next

EndFunc

Func DisplayTwoDigits ($hdc, $iNumber, $fSuppress)

	If (Not $fSuppress Or ($iNumber / 10 <> 0)) Then
		DisplayDigit ($hdc, $iNumber / 10) ;
	EndIf


	OffsetWindowOrgEx ($hdc, -42, 0, $NULL) ;
	DisplayDigit ($hdc, Mod ($iNumber, 10)) ;
	OffsetWindowOrgEx ($hdc, -42, 0, $NULL) ;

EndFunc

Func DisplayColon ($hdc)
	
	Local $ptColon [2]
							;  x,  y;  x,  y;   x,  y;  x,  y
	Local $aColon [2][8] = [ [ 2, 21,  6, 17,  10, 21,  6, 25] , _
							 [ 2, 51,  6, 47,  10, 51,  6, 55] ] ;

	For $i = 0 To 1
			$ptColon [$i] = DllStructCreate ('int [8]')
		For $ii = 0 To 7
			DllStructSetData ($ptColon [$i], 1, $aColon [$i][$ii], $ii + 1)
		Next
	Next

	Polygon ($hdc, DllStructGetPtr ($ptColon [0]), 4)
	Polygon ($hdc, DllStructGetPtr ($ptColon [1]), 4)

	OffsetWindowOrgEx ($hdc, -12, 0, $NULL)

EndFunc

Func DisplayTime ($hdc, $f24Hour, $fSuppress)

	Local $wHour, $wMinute, $wSecond
	Local $st = DllStructCreate ($tagSYSTEMTIME)

	GetLocalTime (DllStructGetPtr ($st))

	$wHour   = DllStructGetData ($st, 'Hour')
	$wMinute = DllStructGetData ($st, 'Minute')
	$wSecond = DllStructGetData ($st, 'Second')

	If ($f24Hour) Then
		DisplayTwoDigits ($hdc, $wHour, $fSuppress) ;
	Else
		If ($wHour = Mod ($wHour, 12)) Then
			DisplayTwoDigits ($hdc, $wHour, $fSuppress)
		Else
			DisplayTwoDigits ($hdc, 12, $fSuppress)
		EndIf
	EndIf

	DisplayColon ($hdc)
	DisplayTwoDigits ($hdc, $wMinute, FALSE)
	DisplayColon ($hdc)
	DisplayTwoDigits ($hdc, $wSecond, FALSE)

EndFunc














































